@using ToDoApplication.Domain.Entity;
@model ItemViewModel

<form asp-action="Create" id="form-action" method="post" class="form-horizontal" role="form">
    <div asp-validation-summary="All" class="text-danger"></div>

    <div class="row justify-content-center">
        <div class="col-xl-8 col-lg-8 col-md-8 col-sm-10">
            <input asp-for="Item.Id" type="hidden" class="form-control" />
            <label asp-for="Item.Description" class="form-label"></label>
            <input asp-for="Item.Description" class="form-control" />
            <input asp-for="Item.ToDoId" type="hidden" class="form-control" value="@Model.ToDoId" />

            <div class="form-group">
                <label asp-for="Item.Status">Status</label>
                <select class="form-control" id="TodoItem_Status" name="Item.Status">
                    @foreach (var status in Enum.GetValues(typeof(ItemStatus)))
                    {
                        <option value="@status">@status</option>
                    }
                </select>
            </div>

            <div class="form-group">
                <label asp-for="Item.DueDate">Due Date</label>
                <input asp-for="Item.DueDate" type="date" class="form-control" />
            </div>

        </div>
    </div>
    <div class="row justify-content-center">
        <div class="col-xl-8 col-lg-8 col-md-8 col-sm-10 mt-3 mb-3">
            <input type="submit" id="form-button" class="btn btn-outline-secondary" value="Add Item" />
        </div>
    </div>
</form>
           


